views:
  - title: Estado
    badges: []
    cards:
      - type: entities
        entities:
          - entity: switch.riego_valvula_1
            name: Válvula 1
          - entity: switch.riego_valvula_2
            name: Válvula 2
          - entity: switch.riego_valvula_3
            name: Válvula 3
          - entity: switch.riego_valvula_4
            name: Válvula 4
        state_color: true
        title: Válvulas
        show_header_toggle: false
      - type: history-graph
        entities:
          - entity: switch.riego_valvula_1
            name: V1
          - entity: switch.riego_valvula_2
            name: V2
          - entity: switch.riego_valvula_3
            name: V3
          - entity: switch.riego_valvula_4
            name: V4
        title: Riegos
      - type: entities
        entities:
          - entity: sensor.riego_prog_01
            name: Prog. 01
          - entity: sensor.riego_prog_02
            name: Prog. 02
          - entity: sensor.riego_prog_03
            name: Prog. 03
          - entity: sensor.riego_prog_04
            name: Prog. 04
          - entity: sensor.riego_prog_05
            name: Prog. 05
          - entity: sensor.riego_prog_06
            name: Prog. 06
          - entity: sensor.riego_prog_07
            name: Prog. 07
          - entity: sensor.riego_prog_08
            name: Prog. 08
          - entity: sensor.riego_prog_09
            name: Prog. 09
          - entity: sensor.riego_prog_10
            name: Prog. 10
        title: Horarios
      - show_name: true
        show_icon: true
        type: button
        tap_action:
          action: toggle
        entity: switch.riego_pantalla
        icon: mdi:monitor-screenshot
        name: Pantalla
      - type: gauge
        entity: sensor.riego_bateria
        name: Bateria
        min: 10
        max: 16
        needle: true
        severity:
          green: 12
          yellow: 11
          red: 1
      - type: gauge
        entity: sensor.riego_temperatura_interna
        name: Temp. CPU
      - type: entity
        entity: sensor.riego_dias_encendido
        name: Horas/Ciclo
      - type: entity
        entity: sensor.riego_debug
        name: Debug
        icon: mdi:card-text-outline
  - title: Programación
    path: programacion
    badges: []
    cards:
      - type: entities
        entities:
          - entity: number.riego_duracion_v1
            name: Válvula 1
          - entity: number.riego_duracion_v2
            name: Válvula 2
          - entity: number.riego_duracion_v3
            name: Válvula 3
          - entity: number.riego_duracion_v4
            name: Válvula 4
        title: Duración Manual
        show_header_toggle: false
      - type: entities
        entities:
          - entity: switch.riego_prog_01
            name: Prog. 01
          - entity: switch.riego_prog_02
            name: Prog. 02
          - entity: switch.riego_prog_03
            name: Prog. 03
          - entity: switch.riego_prog_04
            name: Prog. 04
          - entity: switch.riego_prog_05
            name: Prog. 05
          - entity: switch.riego_prog_06
            name: Prog. 06
          - entity: switch.riego_prog_07
            name: Prog. 07
          - entity: switch.riego_prog_08
            name: Prog. 08
          - entity: switch.riego_prog_09
            name: Prog. 09
          - entity: switch.riego_prog_10
            name: Prog. 10
        title: Programas Activos
        show_header_toggle: false
        state_color: true
      - show_name: true
        show_icon: true
        type: button
        tap_action:
          action: toggle
        entity: button.riego_guardar_programas
        name: Guardar programación
      - type: entity
        entity: number.riego_desfase_horario
        name: Desfase horario
      - type: entities
        entities:
          - entity: select.riego_cambiar_programa
            name: Selecciona programa
          - entity: number.riego_hora
          - entity: number.riego_minutos
          - entity: number.riego_duracion
          - entity: number.riego_intervalo_dias
          - entity: number.riego_valvula
        title: Cambiar programa
      - type: entities
        entities:
          - entity: sensor.riego_prog_01
            name: Prog. 01
          - entity: sensor.riego_prog_02
            name: Prog. 02
          - entity: sensor.riego_prog_03
            name: Prog. 03
          - entity: sensor.riego_prog_04
            name: Prog. 04
          - entity: sensor.riego_prog_05
            name: Prog. 05
          - entity: sensor.riego_prog_06
            name: Prog. 06
          - entity: sensor.riego_prog_07
            name: Prog. 07
          - entity: sensor.riego_prog_08
            name: Prog. 08
          - entity: sensor.riego_prog_09
            name: Prog. 09
          - entity: sensor.riego_prog_10
            name: Prog. 10
        title: Horarios
